\name{GPS2UTM.single.zone.hemisphere}
\alias{GPS2UTM.single.zone.hemisphere}
\title{Internal function. All arguments (bar `gps`) must be scalar. Don't use.}
\usage{
  GPS2UTM.single.zone.hemisphere(gps, using.rgdal, inverse,
    zone, hemisphere, PROJ)
}
\arguments{
  \item{using.rgdal}{are we using rgdal?}

  \item{PROJ}{shQuote'd path to proj executable}

  \item{gps}{a nx2 matrix with LON then LAT}

  \item{inverse}{whether to invert (ie UTM2GPS), default
  FALSE (i.e. GPS -> UTM)}

  \item{zone}{the zone for conversion (either zone the UTM
  coordinates are in, or what zone to give UTM coordinates
  relative to).  If doing GPS to UTM conversion and the
  zone argument is missing, we will calculate the zone that
  the average longitude is in and give all UTMs in that
  zone (even if they are infinite!)  If doing GPS to UTM
  conversion and the zone argument is NULL, we will give
  *each* converted UTM in the closest zone (zone includes
  the start point and excludes the end point, e.g. Zone 1
  is [-180, -174)) In either case, attr(out, 'zone') will
  be a vector with the zone.  For UTM to GPS conversions,
  you MUST supply a zone.}

  \item{hemisphere}{hemisphere for conversion.  If doing
  UTM to GPS conversion, this MUST be provided.  If doing
  GPS to UTM conversion and this is missing, we provide all
  UTMs relative to the hemisphere that the mean latitude is
  in (0 is North).  If doing GPS to UTM conversion and this
  is NULL, we provide all UTMs relative to the hemisphere
  that each coordinate is in.  In either case, attr(out,
  'hemisphere') is a vector with the hemispheres.}
}
\description{
  Expects rgdal/proj checks have already been loaded/done
  (will not do existence checking)
}
\keyword{internal}

