\name{file.browse}
\alias{file.browse}
\title{Text-based interactive file selection.}
\usage{
  file.browse(root = getwd(), multiple = FALSE,
    title = sprintf("Select file(s) (0 to quit) in folder \%s", root))
}
\arguments{
  \item{root}{the root directory to explore (default
  current working directory)}

  \item{multiple}{boolean specifying whether to allow
  multiple files to be selected}

  \item{title}{what gets printed before the menu.}
}
\value{
  character vector of selected files.
}
\description{
  Text-based interactive file selection.
}
\examples{
\dontrun{
fileList <- file.browse()
}
}
\seealso{
  \code{\link{dir.browse}} for a similar functionality for
  directories.

  Other ui: \code{\link{dir.browse}},
  \code{\link{Filters}}, \code{\link{gui.dir.choose}},
  \code{\link{gui.file.choose}}, \code{\link{gui.menu}},
  \code{\link{gui.readline}}, \code{\link{gui.yesno}},
  \code{\link{tk_entry.dialog}},
  \code{\link{tk_select.list}}
}

