\name{find.in}
\alias{find.in}
\title{Shorthand for \code{x[x \%in\% y]}.}
\usage{
  find.in(x, y, inv = FALSE, value = TRUE)
}
\arguments{
  \item{x}{vector to test}

  \item{y}{vector to check membership of}

  \item{inv}{whether we are checking membership
  (\code{\%in\%}) or exclusion (\code{\%notin\%})}

  \item{value}{whether to return the values of `x` that are
  in (or not) `y`, or the indices. If `value=F` this is
  just like \code{\%in\%} or \code{\%notin\%}.}
}
\value{
  If `value=T`, the subset of `x` that is in `y` (`inv=F`),
  or that is not in y (`inv=T`).  If `value=F`, a logical
  vector that `x \%in\% y` if `inv=F` or `!(x \%in\% y)`
  otherwise.
}
\description{
  Shorthand for \code{x[x \%in\% y]}.
}
\examples{
x <- 1:5
y <- sample(x, size=3)
find.in(x, y) # all elements of x that are in y
find.in(x, y, inv=TRUE) # all elements of x that are not in y

find.in(x, y, value=FALSE) # equivalent to x \%in\% y
find.in(x, y, value=FALSE, inv=TRUE) # equivalent to !(x \%in\% y)
}
\seealso{
  \code{\link[base:match]{\%in\%}}

  \code{\link[utilitiesR:notin]{\%notin\%}}

  \code{\link{invwhich}}
}

