\name{getUTMZone}
\alias{getUTMZone}
\title{Calculates the UTM zone a longitude falls in.}
\usage{
  getUTMZone(long)
}
\arguments{
  \item{long}{a vector of longitudes.}
}
\value{
  a vector of the same length as `long` with the zone the
  longitude is in.
}
\description{
  Calculates the UTM zone a longitude falls in.
}
\details{
  From Wikipedia[1]:

  The UTM system divides the Earth between 80S and 84N
  latitude into 60 zones, each 6 degrees of longitude in
  width. Zone 1 covers longitude 180W to 174W; zone
  numbering increases eastward to zone 60 that covers
  longitude 174 to 180E.

  We take each interval to include the starting longitude
  and exclude the ending one, so e.g. Zone 1 is [-180,
  -174); Zone 2 is [-174, -168); ..., Zone 60 is [174,
  180).
}
\seealso{
  http://en.wikipedia.org/wiki/Universal_Transverse_Mercator_coordinate_system

  Other coordinates: \code{\link{formatGPS}},
  \code{\link{GPS2UTM}}, \code{\link{UTM2GPS}}
}

