\name{gui.menu}
\alias{gui.menu}
\title{cross-platform item selection interface}
\usage{
  gui.menu(choices, title = NULL, multiple = FALSE,
    index.return = FALSE, graphics = TRUE, mono = FALSE)
}
\arguments{
  \item{choices}{vector of choices to select from}

  \item{index.return}{whether to return the selected item
  from \code{choices}, or the index of the selected item in
  \code{choices}}

  \item{mono}{whether to try display in monospace font
  (uses tcltk interface).}

  \item{title}{title for dialog}

  \item{multiple}{whether to allow selection of multiple
  items}

  \item{graphics}{whether to present a graphics interface
  (if possible)}
}
\value{
  the item(s) chosen (vector), either indices or values,
  depending on \code{index.return}. If \code{is.empty} is
  \code{TRUE}, the user selected 'Cancel'.
}
\description{
  This is a cross-platform function to allow the user to
  choose an item from a list of items interactively. If
  \code{graphics=TRUE}, \code{select.list} is used on
  Windows (similar to the "Select CRAN repository..." when
  you \code{install.packages}), and
  \code{tcltk::tk_select.list} otherwise (& if supported),
  and an interactive text interface (\code{menu(...,
  graphics=F)}) if all else fails.
}
\seealso{
  Other ui: \code{\link{dir.browse}},
  \code{\link{file.browse}}, \code{\link{Filters}},
  \code{\link{gui.dir.choose}},
  \code{\link{gui.file.choose}},
  \code{\link{gui.readline}}, \code{\link{gui.yesno}},
  \code{\link{tk_entry.dialog}},
  \code{\link{tk_select.list}}
}

