\name{invwhich}
\alias{invwhich}
\title{Opposite to \code{which}.}
\usage{
  invwhich(indices, length.out = NULL, use.names = TRUE)
}
\arguments{
  \item{indices}{the indices that should be TRUE}

  \item{length.out}{the length of the output vector. if
  NULL, `max(indices)` is used.}

  \item{use.names}{whether to use the names of `indices` if
  there are any.}
}
\value{
  a logical vector of length `length.out` that is TRUE at
  the indices in `indices`.
}
\description{
  Opposite to \code{which}.
}
\examples{
idx <- c(1, 3)
invwhich(idx)     # c(TRUE, FALSE, TRUE)
invwhich(idx, 5)  # c(TRUE, FALSE, TRUE, FALSE, FALSE)

## example with use.names
names(idx) <- c('one', 'three')
invwhich(idx, 4)
}
\author{
  user Nick Sabbe on StackOverflow:
  http://stackoverflow.com/a/7661128/913184
}
\seealso{
  \code{\link[base:match]{\%in\%}}

  \code{\link{find.in}}

  \code{\link[utilitiesR:notin]{\%notin\%}}
}

