\name{muffle.messages}
\alias{muffle.messages}
\title{muffles any output caused by warnings()/messages(), returning output}
\usage{
  muffle.messages(...)
}
\arguments{
  \item{...}{what to muffle}
}
\value{
  the result of the expression in \code{...}
}
\description{
  This function suppresses any output caused by
  \code{\link[base]{warning}} and
  \code{\link[base]{message}} and
  \code{\link[base:message]{packageStartupMessage}}, and
  returns the result of the command.
}
\details{
  As such, it doesn't use
  \code{invisible(capture.output(...))} as
  \code{\link{muffle}} does, and hence any output produced
  by \code{\link[base]{cat}} or \code{\link[base]{print}}
  won't be suppressed.
}
\examples{
muffle.messages({cat('hi\\n'); 1})   # returns 1, does *not* suppress 'hi'
muffle.messages({message('hi'); 1}) # returns 1, suppresses 'hi'
# returns TRUE or FALSE depending on whether you have 'tcltk' package,
#  and suppresses "Loading Tcl/Tk interface ... done" message, as well as
#  the warning (if you don't have that package).
muffle.messages(require(tcltk))
}
\seealso{
  Other output: \code{\link{muffle}}
}

