\name{\%+\%}
\alias{\%+\%}
\title{Convenience binary operator to concatenate strings together}
\usage{
  a \%+\% b
}
\arguments{
  \item{a}{string to concatenate}

  \item{b}{string to concatenate}
}
\value{
  the input strings concatenated (no separator)
}
\description{
  This is a convenience operator that is essentially
  \code{\link[base:paste]{paste0}} in its binary operator
  form.
}
\examples{
'I do not like ' \%+\% 'green eggs and ham!'
# returns: 'I do not like green eggs and ham!'
# same as:
paste0('I do not like', ' green eggs and ham!')

'I do not like ' \%+\% c('green eggs and ham!', 'them Sam I Am!')
# returns: c('I do not like green eggs and ham!', 'I do not like them Sam I Am!')
}
\seealso{
  \code{\link{collapse}}, which collapses vector arguments.
}

